Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezimagecatalogue/user/searchsupplier.php
Go to the documentation of this file.
1 <?php
3 //
4 // Created on: <08-Nov-2002 14:31:10 jhe>
5 //
6 // Copyright (C) 1999-2002 eZ systems as. All rights reserved.
7 //
8 // This source file is part of the Exponential Basic (tm) Open Source Content
9 // Management System.
10 //
11 // This file may be distributed and/or modified under the terms of the
12 // "GNU General Public License" version 2 as published by the Free
13 // Software Foundation and appearing in the file LICENSE.GPL included in
14 // the packaging of this file.
15 //
16 // Licencees holding valid "Exponential Basic professional licences" may use this
17 // file in accordance with the "Exponential Basic professional licence" Agreement
18 // provided with the Software.
19 //
20 // This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING
21 // THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR
22 // PURPOSE.
23 //
24 // The "Exponential Basic professional licence" is available at
25 // http://ez.no/home/licences/professional/. For pricing of this licence
26 // please contact us via e-mail to licence@ez.no. Further contact
27 // information is available at http://ez.no/home/contact/.
28 //
29 // The "GNU General Public License" (GPL) is available at
30 // http://www.gnu.org/copyleft/gpl.html.
31 //
32 // Contact licence@ez.no if any conditions of this licencing isn't clear to
33 // you.
34 //
35
36 // include_once( "ezimagecatalogue/classes/ezimage.php" );
37
38 $ModuleName = "eZ imagecatalogue";
39 $SearchResult[0]["DetailedSearchPath"] = "/imagecatalogue/search/";
40 $SearchResult[0]["DetailedSearchVariable"] = "SearchText";
41 $SearchResult[0]["DetailViewPath"] = "/imagecatalogue/imageview/";
42 $SearchResult[0]["IconPath"] = "/design/base/images/icons/document.gif";
43
44 $image = new eZImage();
45 $SearchResult[0]["Result"] = $image->search( $SearchText, 0, $Limit );
46 $SearchResult[0]["SearchCount"] = $image->searchCount( $SearchText );
47
48 ?>
eZImage
Definition: ezimage.php:95
$SearchText
$SearchText
Definition: ezaddress/admin/typelist.php:143
$Limit
$Limit
Definition: ezarticle/admin/categorylist.php:66
$ModuleName
$ModuleName
Definition: ezimagecatalogue/user/searchsupplier.php:38
$image
$image
Definition: ezimagecatalogue/user/searchsupplier.php:44
$SearchResult
$SearchResult[0]["DetailedSearchPath"]
Definition: ezimagecatalogue/user/searchsupplier.php:39
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.